#!/bin/sh
WAVE100file="../WAVE100.dat"

if [[ $# > 0 ]]; then
	WAVE100file=$1;
fi

echo "O V E R M E L O D Y"
echo "Doukutsu WAVE100 Melody Samples Unpacker + Looper"
echo "--"
echo "Rip the WAVE100 resource, save it to WAVE100.dat in the main folder, and this"
echo "little script will convert it up properly."

if test -e $WAVE100file; 
then echo "Processing...";
else echo "Error: Could not find "$WAVE100file; exit
fi

sleep 1
rm *.wav
split -d -a 2 -b 256 ../WAVE100.dat melody
for f in melody*;
do
    echo "Processing $f"
    #cat $f $f $f $f $f $f $f $f $f $f $f $f $f $f $f > $f.dat
    cat $f $f $f $f $f $f $f $f $f $f > $f.dat
    ffmpeg -f s16be -i $f.dat $f.wav
    rm $f.dat
    rm $f
done
mv melody00.wav melody0.wav
mv melody01.wav melody1.wav
mv melody02.wav melody2.wav
mv melody03.wav melody3.wav
mv melody04.wav melody4.wav
mv melody05.wav melody5.wav
mv melody06.wav melody6.wav
mv melody07.wav melody7.wav
mv melody08.wav melody8.wav
mv melody09.wav melody9.wav
clear