/* -- File Info --
 * orgtheme.h - Header file
 */

/* -- Legal Info --
 * This code is Public Domain.
 */

#ifndef ORGTHEME_H
#define ORGTHEME_H

#include "org.h"
#include "generic.cpp"

#include <sys/types.h>
#include <dirent.h>
#include <SDL/SDL.h>
#include <SDL/SDL_image.h>

enum THEME_BITMAPS
{
	BACKGROUND = 0,
	VOLUMESLIDER,
	BUTTON,
	PROGRESSBAR
};

extern void *g_ThemeBitmaps[12];
#include "orggui.h"

void SetTheme(int p_ThemeID, GraphicsOutput *p_GfxOut);
void GetThemes();

#endif
